CREATE OR REPLACE PROCEDURE GRHUM.INIT_RECHERCHE_1_1_1_0
AS
	GSD_COUNT NUMBER;
	RGSDDS_COUNT NUMBER;
BEGIN
  SELECT MAX(GSD_ID) + 1 INTO GSD_COUNT FROM RECHERCHE.GRD_SECT_DISCIPLINAIRE;
  SELECT MAX(GSDS_ID) + 1 INTO RGSDDS_COUNT FROM RECHERCHE.REPART_GRD_SECT_DS;
  EXECUTE IMMEDIATE 'CREATE SEQUENCE RECHERCHE.GRD_SECT_DISCIPLINAIRE_SEQ INCREMENT BY 1 START WITH ' || GSD_COUNT || ' NOCACHE  NOORDER  NOCYCLE';
  EXECUTE IMMEDIATE 'CREATE SEQUENCE RECHERCHE.REPART_GRD_SECT_DS_SEQ INCREMENT BY 1 START WITH ' || RGSDDS_COUNT || ' NOCACHE  NOORDER  NOCYCLE';
END;

EXECUTE GRHUM.INIT_RECHERCHE_1_1_1_0();
/

DROP PROCEDURE GRHUM.INIT_RECHERCHE_1_1_1_0;
/
